## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           groonga
Version:        15.0.2
Release:        %autorelease
Summary:        An Embeddable Fulltext Search Engine
License:        LGPL-2.1-only
URL:            https://github.com/groonga/groonga
Source0:        %{url}/releases/download/v%{version}/groonga-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%ifnarch %{ix86}
BuildRequires:  libarrow-devel
%endif
BuildRequires:  zlib-devel
BuildRequires:  simdjson-devel
BuildRequires:  libzstd-devel
BuildRequires:  mecab-devel
BuildRequires:  libstemmer-devel
BuildRequires:  zeromq-devel
BuildRequires:  libevent-devel
BuildRequires:  msgpack-devel
BuildRequires:  xxhash-devel
BuildRequires:  lz4-devel
BuildRequires:  croaring-devel
%if 0%{?fedora} >= 40
BuildRequires:  blosc2-devel
# required by blosc2-devel
BuildRequires:  zlib-ng-devel
%endif
BuildRequires:  xsimd-devel
BuildRequires:  h3-devel
BuildRequires:  ruby
BuildRequires:  libedit-devel
BuildRequires:  openssl-devel

BuildRequires:  systemd-rpm-macros

Requires:       %{name}-libs%{?isa} = %{version}-%{release}
Requires:       %{name}-plugin-suggest%{?isa} = %{version}-%{release}

Provides:       bundled(onigmo)

%description
Groonga is an embeddable full-text search engine library.  It can
integrate with DBMS and scripting languages to enhance their search
functionality.  It also provides a standalone data store server based
on relational data model.

%package        libs
Summary:        Runtime libraries for Groonga
License:        LGPL-2.1-only AND (MIT OR GPL-2.0-only)

%description    libs
This package contains the libraries for Groonga.

%package        devel
Summary:        Development files for Groonga
Requires:       %{name}-libs%{?isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for Groonga.

%package        server-common
Summary:        Common files for the Groonga server and the Groonga HTTP server
License:        LGPL-2.1-only
Requires:       %{name}%{?isa} = %{version}-%{release}

%description    server-common
This package provides common settings for server use.

%package        server-gqtp
Summary:        Groonga GQTP server
License:        LGPL-2.1-only
Requires:       %{name}-server-common%{?isa} = %{version}-%{release}
Requires(post): systemd
Requires(preun):systemd

%description    server-gqtp
This package contains the Groonga GQTP server.

%package        server-http
Summary:        Groonga HTTP server
License:        LGPL-2.1-only AND BSD-3-Clause
Requires:       %{name}-server-common%{?isa} = %{version}-%{release}
Requires(post): systemd
Requires(preun):systemd

%description    server-http
This package contains the Groonga HTTP server.

%package        plugin-tokenizer-mecab
Summary:        MeCab tokenizer for Groonga
Requires:       %{name}-libs%{?isa} = %{version}-%{release}

%description    plugin-tokenizer-mecab
This package contains MeCab tokenizer for Groonga.

%package        plugin-tokenizer-h3
Summary:        H3 tokenizer for Groonga
Requires:       %{name}-libs%{?isa} = %{version}-%{release}

%description    plugin-tokenizer-h3
This package contains h3 tokenizer for Groonga.

%package        plugin-suggest
Summary:        Suggest plugin for Groonga
Requires:       %{name}-libs%{?isa} = %{version}-%{release}

%description    plugin-suggest
This package contains suggest plugin for Groonga.

%package        plugin-token-filters
Summary:        Token filters plugin for Groonga
Requires:       %{name}-libs%{?isa} = %{version}-%{release}

%description    plugin-token-filters
Token filters plugins for Groonga, which provides stop word and stemming
features.

%package        munin-plugins
Summary:        Munin plugins for Groonga
Requires:       %{name}-libs%{?isa} = %{version}-%{release}
Requires:       munin-node
Requires(post): munin-node

%description    munin-plugins
This package contains munin plugins for Groonga.

%package        doc
Summary:        Documentation for Groonga
License:        LGPL-2.1-only AND BSD-3-Clause

%description doc
This package contains documentation for Groonga.

%package        examples
Summary:        Examples for Groonga
License:        LGPL-2.1-only
Requires:       %{name}%{?isa} = %{version}-%{release}

%description examples
This package contains the examples for Groonga.

%package        tools
Summary:        Tools for Groonga
License:        LGPL-2.1-only
Requires:       %{name}%{?isa} = %{version}-%{release}

%description tools
This package contains the tools for Groonga.

%prep
%autosetup -p1

rm vendor/*.tar.gz
rm vendor/*.rb
rm -rf vendor/{lz4,rapidjson-1.1.0}

# Create a sysusers.d config file
cat >groonga.sysusers.conf <<EOF
u groonga - 'groonga' %{_localstatedir}/lib/groonga -
EOF

%build
%cmake \
  -GNinja \
  -DGRN_FOR_RHEL=ON \
%ifarch riscv64
  -DCMAKE_SKIP_RPATH=TRUE \
%endif
%ifnarch %{ix86}
  -DGRN_WITH_APACHE_ARROW=ON \
%endif
  -DGRN_WITH_ZLIB=ON \
  -DGRN_WITH_ZSTD=ON \
  -DGRN_WITH_RAPIDJSON=ON \
  -DGRN_WITH_MECAB=ON \
  -DGRN_WITH_KYTEA=OFF \
  -DGRN_WITH_LIBSTEMMER=ON \
  -DGRN_WITH_ZEROMQ=ON \
  -DGRN_WITH_LIBEVENT=ON \
  -DGRN_WITH_MESSAGE_PACK=ON \
  -DGRN_WITH_XXHASH=ON \
  -DGRN_WITH_LZ4=ON \
  -DGRN_WITH_ROARING_BITMAPS=ON \
%if 0%{?fedora} >= 40
  -DGRN_WITH_BLOSC=ON \
%else
  -DGRN_WITH_BLOSC=no \
%endif
  -DGRN_WITH_XSIMD=ON \
  -DGRN_WITH_H3=ON \
  -DGRN_WITH_LLAMA_CPP=no \
  -DGRN_WITH_MRUBY=ON \
  -DGRN_WITH_MUNIN_PLUGINS=ON \
  -DGRN_WITH_DOC=ON \
  -DGRN_WITH_EXAMPLES=ON \
  -DGRN_WITH_TOOLS=ON \
  -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}

%cmake_build

%install
%cmake_install

rm %{buildroot}%{_datadir}/groonga/{COPYING,README.md}


mkdir -p %{buildroot}%{_localstatedir}/lib/groonga/db
mkdir -p %{buildroot}%{_localstatedir}/log/groonga
mkdir -p %{buildroot}%{_libdir}/groonga/plugins/normalizers

mkdir -p %{buildroot}%{_sysconfdir}/munin/plugin-conf.d/
cat <<EOC > %{buildroot}%{_sysconfdir}/munin/plugin-conf.d/groonga
[groonga_*]
  user groonga
  group groonga
  env.PATH %{_bindir}
  env.database_path %{_localstatedir}/lib/groonga/db/db
  env.host 127.0.0.1

  env.http_host 127.0.0.1
  env.http_port 10041
  env.http_database_path %{_localstatedir}/lib/groonga/db/db
  env.http_pid_path %{_rundir}/groonga/groonga-http.pid
  env.http_query_log_path %{_localstatedir}/log/groonga/query-http.log

  env.gqtp_host 127.0.0.1
  env.gqtp_port 10043
  env.gqtp_database_path %{_localstatedir}/lib/groonga/db/db
  env.gqtp_pid_path %{_rundir}/groonga/groonga-gqtp.pid
  env.gqtp_query_log_path %{_localstatedir}/log/groonga/query-gqtp.log
EOC

install -m0644 -D groonga.sysusers.conf %{buildroot}%{_sysusersdir}/groonga.conf

%post munin-plugins
%{_sbindir}/munin-node-configure --shell --remove-also | grep -e 'groonga_' | sh
%systemd_postun munin-node

%pre server-common
if [ $1 = 1 ] ; then
  mkdir -p %{_localstatedir}/log/groonga
  mkdir -p %{_localstatedir}/lib/groonga/db
  groonga -n %{_localstatedir}/lib/groonga/db/db shutdown > /dev/null
  chown -R groonga:groonga %{_localstatedir}/log/groonga
  chown -R groonga:groonga %{_localstatedir}/lib/groonga
  mkdir -p %{_localstatedir}/run/groonga
  chown -R groonga:groonga %{_localstatedir}/run/groonga
fi
exit 0

%post server-gqtp
%systemd_post groonga-server-gqtp.service

%preun server-gqtp
%systemd_preun groonga-server-gqtp.service

%postun server-gqtp
%systemd_postun groonga-server-gqtp.service

%post server-http
%systemd_post groonga-server-http.service

%preun server-http
%systemd_preun groonga-server-http.service

%postun server-http
%systemd_postun groonga-server-http.service

%postun munin-plugins
if [ $1 -eq 0 ]; then
    [ -f %{_localstatedir}/lock/subsys/munin-node ] && \
        systemctl restart munin-node >/dev/null 2>&1
    :
fi


%files
%license COPYING
%doc README.md
%{_bindir}/groonga
%{_bindir}/grndb

%files libs
%license COPYING
%doc README.md
%config(noreplace) %{_sysconfdir}/groonga/synonyms.tsv
%{_libdir}/*.so.*
%dir %{_libdir}/groonga
%dir %{_libdir}/groonga/plugins
%dir %{_libdir}/groonga/plugins/functions
%dir %{_libdir}/groonga/plugins/query_expanders
%dir %{_libdir}/groonga/plugins/normalizers
%dir %{_libdir}/groonga/plugins/tokenizers
%dir %{_libdir}/groonga/plugins/ruby
%dir %{_libdir}/groonga/plugins/sharding
%{_libdir}/groonga/plugins/functions/*.so
%{_libdir}/groonga/plugins/query_expanders/tsv.so
%{_libdir}/groonga/plugins/ruby/eval.rb
%{_libdir}/groonga/plugins/sharding/*.rb
%{_libdir}/groonga/plugins/*.rb
%{_libdir}/groonga/scripts/ruby/
%{_datadir}/groonga/groonga-log/
%{_datadir}/groonga/mruby/
%{_datadir}/groonga/onigmo/

%files devel
%{_includedir}/groonga/
%{_libdir}/*.so
%{_libdir}/cmake/Groonga/
%{_libdir}/pkgconfig/groonga*.pc

%files server-common
%config(noreplace) %{_sysconfdir}/tmpfiles.d/groonga.conf
%{_sysusersdir}/groonga.conf

%files server-gqtp
%config(noreplace) %{_sysconfdir}/groonga/
%config(noreplace) %{_sysconfdir}/sysconfig/groonga-server-gqtp
%config(noreplace) %{_sysconfdir}/logrotate.d/groonga-server-gqtp
%{_unitdir}/groonga-server-gqtp.service
%ghost %dir /run/%{name}
%attr(0755,groonga,groonga) %dir %{_localstatedir}/lib/%{name}
%attr(0755,groonga,groonga) %dir %{_localstatedir}/lib/%{name}/db

%files server-http
%config(noreplace) %{_sysconfdir}/groonga/
%config(noreplace) %{_sysconfdir}/sysconfig/groonga-server-http
%config(noreplace) %{_sysconfdir}/logrotate.d/groonga-server-http
%{_unitdir}/groonga-server-http.service
%ghost %dir /run/%{name}
%attr(0755,groonga,groonga) %dir %{_localstatedir}/lib/%{name}
%attr(0755,groonga,groonga) %dir %{_localstatedir}/lib/%{name}/db

%files plugin-tokenizer-mecab
%{_libdir}/groonga/plugins/tokenizers/mecab.so

%files plugin-tokenizer-h3
%{_libdir}/groonga/plugins/tokenizers/h3_index.so

%files plugin-token-filters
%{_libdir}/groonga/plugins/token_filters/stop_word.so
%{_libdir}/groonga/plugins/token_filters/stem.so

%files plugin-suggest
%{_bindir}/groonga-suggest-*
%{_libdir}/groonga/plugins/suggest/suggest.so

%files munin-plugins
%{_datadir}/groonga/munin/plugins/*
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/*

%files doc
%doc README.md
%license COPYING
%{_datadir}/doc/groonga/
%{_datadir}/groonga/html/

%files examples
%{_datadir}/groonga/examples/

%files tools
%{_datadir}/groonga/tools/

%changelog
## START: Generated by rpmautospec
* Sun Mar 02 2025 topazus <topazus@outlook.com> - 15.0.2-1
- 15.0.2

* Fri Feb 14 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 14.0.7-6
- Rebuilt for libarrow 19

* Thu Jan 23 2025 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 14.0.7-5
- Add sysusers.d config file to allow rpm to create users/groups
  automatically

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 14.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 27 2024 Richard W.M. Jones <rjones@redhat.com> - 14.0.7-3
- Rebuild for libarrow 18

* Tue Sep 10 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 14.0.7-2
- Rebuilt for blosc2-2.15.1-1

* Thu Sep 05 2024 topazus <topazus@outlook.com> - 14.0.7-1
- 14.0.7

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 topazus <topazus@outlook.com> - 14.0.3-1
- 14.0.3; fix rhbz#2280675

* Tue Apr 23 2024 Adam Williamson <awilliam@redhat.com> - 14.0.1-3
- Rebuild for libarrow 16.0.0

* Sun Apr 21 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 14.0.1-2
- Rebuilt for blosc2 2.14.4

* Sat Mar 16 2024 Packit <hello@packit.dev> - 14.0.1-1
- [packit] 14.0.1 upstream release
- Resolves rhbz#1883716

* Fri Mar 08 2024 Felix Wang <topazus@outlook.com> - 14.0.0-2
- enable packit only on fedora-rawhide

* Fri Mar 08 2024 Felix Wang <topazus@outlook.com> - 14.0.0-1
- update to 14.0.0

* Wed Mar 06 2024 Felix Wang <topazus@outlook.com> - 13.1.0-6
- fix upstream_tag_template in packit

* Tue Feb 27 2024 JasenChao <JasenChao@gmail.com> - 13.1.0-5
- Fix build on riscv64.

* Thu Feb 08 2024 topazus <topazus@outlook.com> - 13.1.0-4
- add %%{?isa}; rhbz#2260553

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 26 2023 Packit <hello@packit.dev> - 13.1.0-1
- [packit] 13.1.0 upstream release

* Tue Dec 26 2023 topazus <topazus@outlook.com> - 13.0.9-6
- fix build depdencies

* Tue Dec 26 2023 topazus <topazus@outlook.com> - 13.0.9-5
- fix

* Tue Dec 26 2023 topazus <topazus@outlook.com> - 13.0.9-4
- enable packit for fedora-all

* Tue Dec 26 2023 topazus <topazus@outlook.com> - 13.0.9-3
- fix

* Thu Nov 23 2023 Miroslav Suchý <msuchy@redhat.com> - 13.0.9-2
- Correct SPDX license formula

* Tue Nov 21 2023 topazus <topazus@outlook.com> - 13.0.9-1
- update to 13.0.9

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 10.0.8-4
- Rebuilt with OpenSSL 3.0.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 5 2020 Kentaro Hayashi <kenhys@gmail.com>
- New upstream release

* Tue Sep 29 20:31:33 CEST 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
- Rebuilt for libevent 2.1.12

* Mon Aug 31 2020 Kentaro Hayashi <kenhys@gmail.com> - 10.0.6-1
- new upstream release

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 6 2020 Kentaro Hayashi <kenhys@gmail.com> - 10.0.4-1
- new upstream release

* Sun May 10 2020 Kentaro Hayashi <kenhys@gmail.com> - 10.0.2-1
- new upstream release

* Fri Apr 24 2020 Kentaro Hayashi <hayashi@clear-code.com> - 10.0.1-1
- new upstream release

* Sun Feb 16 2020 Kentaro Hayashi <hayashi@clear-code.com> - 9.1.2-2
- enable legacy common support to fix FTBFS (Bug#1799474).

* Sat Feb 8 2020 Kentaro Hayashi <hayashi@clear-code.com> - 9.1.2-1
- new upstream release
- use https: for upstream URL

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Nov 15 2019 Kentaro Hayashi <hayashi@clear-code.com> - 9.0.9-1
- new upstream release

* Thu Oct 3 2019 Kentaro Hayashi <hayashi@clear-code.com> - 9.0.8-1
- new upstream release

* Sun Sep 22 2019 Kentaro Hayashi <hayashi@clear-code.com> - 9.0.7-1
- new upstream release

* Mon Aug 12 2019 Kentaro Hayashi <hayashi@clear-code.com> - 9.0.6-1
- new upstream release

* Sun Jul 28 2019 Kentaro Hayashi <hayashi@clear-code.com> - 9.0.4-1
- new upstream release

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Kentaro Hayashi <hayashi@clear-code.com> 9.0.1-1
- new upstream release

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Kentaro Hayashi <hayashi@clear-code.com> 8.1.1-1
- new upstream release

* Mon Jan 14 2019 Björn Esser <besser82@fedoraproject.org> - 8.0.9-2
- Rebuilt for libcrypt.so.2 (#1666033)

* Fri Nov 30 2018 Kentaro Hayashi <hayashi@clear-code.com> 8.0.9-1
- new upstream release
- fix E: specfile-error warning: Macro expanded in comment

* Wed Oct 31 2018 Kentaro Hayashi <hayashi@clear-code.com> 8.0.8-1
- new upstream release

* Sun Oct 14 2018 Peter Robinson <pbrobinson@fedoraproject.org> 8.0.7-2
- Drop obsolete deps, use %%license, minor spec cleanups

* Sat Sep 29 2018 Kentaro Hayashi <hayashi@clear-code.com> - 8.0.7-1
- new upstream release

* Wed Aug 29 2018 Kentaro Hayashi <hayashi@clear-code.com>
- new upstream release

* Fri Aug 3 2018 Kentaro Hayashi <hayashi@clear-code.com>
- new upstream release

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Kentaro Hayashi <hayashi@clear-code.com> - 8.0.3-1
- new upstream release
- drop dependency to initscripts. (Bug#1592357) Reported by David Kaspar.

* Sat May 12 2018 Kentaro Hayashi <hayashi@clear-code.com> - 8.0.2-1
- new upstream release

* Tue Apr 24 2018 Kentaro Hayashi <hayashi@clear-code.com> - 8.0.1-1
- new upstream release

* Thu Feb 22 2018 Kentaro Hayashi <hayashi@clear-code.com> - 8.0.0-1
- new upstream release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Kentaro Hayashi <hayashi@clear-code.com> - 7.1.0-1
- new upstream release
- add patch disable-glibc-wordaround.patch to fix FTBFS

* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 7.0.9-2
- Rebuilt for switch to libxcrypt

* Mon Dec 4 2017 Kentaro Hayashi <hayashi@clear-code.com> - 7.0.9-1
- new upstream release

* Fri Nov 3 2017 Kentaro Hayashi <hayashi@clear-code.com> - 7.0.8-1
- new upstream release

* Sat Sep 9 2017 Kentaro Hayashi <hayashi@clear-code.com> - 7.0.6-1
- new upstream release

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Mon Jul 31 2017 Kentaro Hayashi <hayashi@clear-code.com> - 7.0.5-1
- new upstream release
- add /etc/tmpfiles.d/groonga.conf

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Kentaro Hayashi <hayashi@clear-code.com> - 7.0.4-1
- new upstream release

* Fri May 5 2017 Kentaro Hayashi <hayashi@clear-code.com> - 7.0.2-1
- new upstream release

* Thu Mar 30 2017 Kentaro Hayashi <hayashi@clear-code.com> - 7.0.1-1
- new upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 kenhys@gmail.com - 6.1.5-1
- new upstream release

* Fri Dec 23 2016 kenhys@gmail.com - 6.1.1-1
- new upstream release
- add zstd dependency to compress column.

* Sat Nov 5 2016 Kentaro Hayashi <hayashi@clear-code.com> - 6.1.0-1
- new upstream release.

* Fri Oct 14 2016 Kentaro Hayashi <hayashi@clear-code.com> - 6.0.9-1
- new upstream release.
- drop php binding package.
- drop python binding package.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jul 8 2016 Kentaro Hayashi <hayashi@clear-code.com> - 6.0.5-1
- new upstream release.

* Fri Jun 17 2016 Kentaro Hayashi <hayashi@clear-code.com> - 6.0.4-1
- new upstream release.

* Wed Apr 13 2016 HAYASHI Kentaro <hayashi@clear-code.com> - 6.0.1-2
- rebuilt for msgpack soname bump

* Mon Apr 4 2016 HAYASHI Kentaro <hayashi@clear-code.com> - 6.0.1-1
- new upstream release.

* Fri Mar 11 2016 HAYASHI Kentaro <hayashi@clear-code.com> - 6.0.0-1
- new upstream release.
- enable TLS for groonga-httpd
- drop groonga-server-http package

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 1 2016 HAYASHI Kentaro <hayashi@clear-code.com> - 5.1.2-1
- new upstream release.
- remove needless Require: libstemmer entry.

* Tue Dec 29 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.1.1-1
- new upstream release.

* Sun Dec 13 2015 Kalev Lember <klember@redhat.com> - 5.1.0-2
- Rebuilt for libmsgpack soname bump

* Wed Dec 9 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.1.0-1
- new upstream release.

* Thu Oct 29 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.9-1
- new upstream release.

* Fri Oct 9 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.8-1
- new upstream release.

* Tue Sep 1 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.7-1
- new upstream release.

* Sat Aug 1 2015 Masafumi Yokoyama <yokoyama@clear-code.com> - 5.0.6-1
- new upstream release.

* Mon Jun 29 2015 Masafumi Yokoyama <yokoyama@clear-code.com> - 5.0.5-1
- new upstream release.

* Tue Jun 23 2015 Thomas Spura <tomspur@fedoraproject.org> - 5.0.4-3
- rebuilt for new zeromq 4.1.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 2 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.4-1
- new upstream release.

* Thu Apr 30 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.3-1
- new upstream release.
- add vector plugin.

* Sun Apr 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 5.0.2-2
- Drop ExclusiveArch, atomic primitives now supported on all arches

* Wed Apr 1 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.2-1
- new upstream release.
- drop fix-crash-by-missing-libedit-initialization.patch
  This patch is already imported into upstream.

* Mon Mar 30 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.1-1
- new upstream release.
- add a patch to fix crash in standalone mode.
  fix-crash-by-missing-libedit-initialization.patch

* Wed Feb 25 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 5.0.0-1
- new upstream release.
- enable mruby by default.

* Wed Jan 14 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 4.1.0-1
- new upstream release.

* Tue Jan 6 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.9.1-1
- new upstream release.
- remove needless 'g' option to remove rpath.
- use /run/groonga to fix dir-or-file-in-var-run error.

* Mon Dec 1 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.8-1
- new upstream release.
- make groonga-httpd as default HTTP server package
- drop groonga-server-http, it is just changed to transitional package

* Tue Nov 4 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.7-1
- new upstream release.
- drop lzo support.
- add lz4 support.
- add groonga-plugin-token-filters sub package.

* Mon Oct 6 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.6-1
- new upstream release.
- drop a needless patch to fix groonga-httpd service startup failure.

* Mon Sep 8 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.5-1
- new upstream release.
- add a patch to fix groonga-httpd service startup failure.
  add-missing-mkdir-for-groonga-httpd-service.patch

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 31 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.4-1
- new upstream release.

* Tue Jul 1 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.3-1
- new upstream release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.2-1
- new upstream release.

* Mon Mar 31 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.1-1
- new upstream release.

* Mon Feb 10 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 4.0.0-1
- new upstream release.

* Mon Feb 3 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 3.1.2-1
- new upstream release.

* Tue Dec 31 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.1.1-1
- new upstream release.

* Fri Nov 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.1.0-1
- new upstream release.

* Tue Oct 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.9-1
- new upstream release.

* Sun Sep 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.8-1
- new upstream release.

* Thu Aug 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.7-1
- new upstream release.

* Wed Jul 31 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.6-2
- unify own directories of plugins.

* Mon Jul 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.6-1
- new upstream release.

* Sat Jun 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.5-1
- new upstream release.

* Wed May 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.4-1
- new upstream release.

* Mon Apr 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.3-1
- new upstream release.
- enable the PIE compiler flags.

* Fri Mar 29 2013 HAYASHI Kentaro <hayashi@clear-code.com> - 3.0.2-1
- new upstream release.
- fix wrong directory ownership.
- filter not to export private modules.
- add missing groonga-server-gqtp related systemd macros.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Daiki Ueno <dueno@redhat.com> - 2.0.9-1
- built in Fedora

* Thu Nov 29 2012 HAYASHI Kentaro <hayashi@clear-code.com> - 2.0.9-0
- new upstream release.

* Mon Oct 29 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.8-0
- new upstream release.
- Remove needless "Requires". They will be added by rpmbuild automatically.
  Reported by by Daiki Ueno. Thanks!!!
- Fix license of server-gqtp.
- Fix license of server-http.
- Add more description to server-http and httpd.

* Sat Sep 29 2012 HAYASHI Kentaro <hayashi@clear-code.com> - 2.0.7-0
- new upstream release.
- Split groonga-server package into groonga-server-gqtp and
  groonga-server-http package.

* Wed Aug 29 2012 HAYASHI Kentaro <hayashi@clear-code.com> - 2.0.6-0
- new upstream release.
- Split common tasks for server use into groonga-server-common package.
- groonga-server and groonga-httpd require groonga-server-common package.

* Wed Aug 22 2012 Daiki Ueno <dueno@redhat.com> - 2.0.5-2
- use systemd-rpm macros (#850137)

* Tue Jul 31 2012 Daiki Ueno <dueno@redhat.com> - 2.0.5-1
- built in Fedora

* Sun Jul 29 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.5-0
- new upstream release.

* Mon Jul  2 2012 Daiki Ueno <dueno@redhat.com> - 2.0.4-1
- built in Fedora
- add msgpack-devel to BR

* Fri Jun 29 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.4-0
- new upstream release.
- groonga package does not require groonga-tokenizer-mecab package.

* Mon Jun  4 2012 Daiki Ueno <dueno@redhat.com> - 2.0.3-1
- built in Fedora

* Tue May 29 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.3-0
- new upstream release.

* Tue May  1 2012 Daiki Ueno <dueno@redhat.com> - 2.0.2-1
- built in Fedora

* Sun Apr 29 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.2-0
- new upstream release.
- use libedit.

* Fri Mar 30 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.1-2
- Use shutdown command for stop.

* Fri Mar 30 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.1-1
- Fix bind address argument parameter.
  Patch by Masaharu IWAI. Thanks!!!

* Thu Mar 29 2012 Daiki Ueno <dueno@redhat.com> - 2.0.1-1
- built in Fedora

* Thu Mar 29 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.1-0
- new upstream release.
- ensure removing build directory before installing.
- grntest -> groonga-benchmark.
- remove groonga-tools package.

* Thu Mar  1 2012 Daiki Ueno <dueno@redhat.com> - 2.0.0-1
- built in Fedora

* Wed Feb 29 2012 Kouhei Sutou <kou@clear-code.com> - 2.0.0-0
- new upstream release.
- remove other permission from DB directory.
- use HTTP as the default protocol.
- support effective user and group in systemd.
  Patch by Daiki Ueno. Thanks!!!

* Thu Feb  2 2012 Daiki Ueno <dueno@redhat.com> - 1.3.0-2
- fix systemd service file

* Mon Jan 30 2012 Daiki Ueno <dueno@redhat.com> - 1.3.0-1
- built in Fedora
- migrate groonga-server initscript to systemd service (#781503)
- add groonga-php5.4.patch to compile PHP extension with PHP 5.4

* Sun Jan 29 2012 Kouhei Sutou <kou@clear-code.com> - 1.3.0-0
- new upstream release.
- groonga-server package does not require groonga-munin-plugins package.
  suggested by Masaharu IWAI. Thanks!!!
- groonga package does not require groonga-doc package.
  suggested by Masaharu IWAI. Thanks!!!

* Mon Jan 9 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 1.2.9-2
- rebuild against new mecab

* Wed Jan  4 2012 Daiki Ueno <dueno@redhat.com> - 1.2.9-1
- build in fedora

* Thu Dec 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.9-0
- new upstream release.

* Tue Nov 29 2011 Daiki Ueno <dueno@redhat.com> - 1.2.8-1
- build in fedora

* Tue Nov 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.8-0
- new upstream release.
- enable zlib support.
- enable lzo support.
- add --with-package-platform=redhat configure option to install init script.
- add --with-munin-plugins cofnigure option to install Munin plugins.

* Tue Nov  1 2011 Daiki ueno <dueno@redhat.com> - 1.2.7-1
- build in fedora

* Sat Oct 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.7-0
- new upstream release.

* Fri Sep 30 2011 Daiki Ueno <dueno@redhat.com> - 1.2.6-1
- build in fedora

* Thu Sep 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.6-0
- new upstream release.

* Mon Sep  5 2011 Daiki Ueno <dueno@redhat.com> - 1.2.5-1
- build in fedora

* Mon Aug 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.5-0
- new upstream release.

* Fri Jul 29 2011 Daiki Ueno <dueno@redhat.com> - 1.2.4-1
- build in fedora

* Fri Jul 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.4-0
- new upstream release.

* Mon Jul  4 2011 Daiki Ueno <dueno@redhat.com> - 1.2.3-1
- build in fedora
- add ruby to BR

* Wed Jun 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.3-0
- new upstream release.
- add a new groong-tools package.

* Tue May 31 2011 Daiki Ueno <dueno@redhat.com> - 1.2.2-1
- build in fedora

* Sun May 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.2-0
- new upstream release.
- split server files into groonga-server package.

* Mon May  2 2011 Daiki Ueno <dueno@redhat.com> - 1.2.1-1
- build in fedora.

* Fri Apr 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.1-0
- new upstream release.

* Wed Mar 30 2011 Daiki Ueno <dueno@redhat.com> - 1.2.0-1
- build in fedora.

* Tue Mar 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.0-0
- new upstream release.

* Thu Feb 17 2011 Daiki Ueno <dueno@redhat.com> - 1.1.0-1
- build in fedora.
- don't require zeromq explicitly.

* Wed Feb 09 2011 Kouhei Sutou <kou@clear-code.com> - 1.1.0-0
- new upstream release.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb  7 2011 Dan Horák <dan[at]danny.cz> - 1.0.8-2
- add ExclusiveArch (atomic primitives implemented only for x86)

* Thu Feb  3 2011 Daiki Ueno <dueno@redhat.com> - 1.0.8-1
- build in fedora.
- don't depend on libevent explicitly.

* Wed Feb 02 2011 Kouhei Sutou <kou@clear-code.com> - 1.0.8-0
- new upstream release.

* Sat Jan 29 2011 Kouhei Sutou <kou@clear-code.com> - 1.0.7-0
- new upstream release.

* Fri Dec 31 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.6-0
- new upstream release

* Wed Dec 29 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.5-0
- new upstream release.

* Mon Nov 29 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.4-1
- new upstream release

* Wed Nov 24 2010 Daiki Ueno <dueno@redhat.com> - 1.0.3-2
- %%ghost /var/run/*.

* Sat Oct 09 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.3-1
- new upstream release.

* Thu Oct  7 2010 Daiki Ueno <dueno@redhat.com> - 1.0.2-7
- own %%_localstatedir/lib/%%name/db.
- use %%_sbindir RPM macro.

* Wed Oct  6 2010 Daiki Ueno <dueno@redhat.com> - 1.0.2-6
- use %%python_sitearch and %%php_extdir macros.
- correct directory ownership for -munin-plugins subpackage.
- supply %%optflags when building PHP binding.
- don't set CGROUP_DAEMON in initscript.

* Tue Oct  5 2010 Daiki Ueno <dueno@redhat.com> - 1.0.2-5
- correct directory ownership for -munin-plugins subpackage.
- make -doc subpackage require -libs.
- correct directory ownership for directories under %%_localstatedir.
- make initscript disabled by default
- move "build process" of Python and PHP bindings to %%build from %%install
- build against Python 2.7
- fix naming of Python and PHP bindings (python-%%{name} to %%{name}-python)

* Mon Oct  4 2010 Daiki Ueno <dueno@redhat.com> - 1.0.2-4
- package Python and PHP bindings.

* Mon Oct  4 2010 Daiki Ueno <dueno@redhat.com> - 1.0.2-3
- fix License.
- pass "-p" to the install command to preserve timestamps.
- use RPM macros %%_initddir, %%_localstatedir, %%_prefix, etc.
- use the standard snippet to creating user/group for groonga; don't
  call userdel/groupdel.
- add missing "Require(foo): bar" for /sbin/service, /sbin/chkconfig,
  /sbin/ldconfig, and /usr/sbin/munin-node-configure.
- fix attributes in %%files.
- correct directory ownership.

* Fri Oct  1 2010 Daiki Ueno <dueno@redhat.com> - 1.0.2-2
- don't require autotools when building
- pass --disable-static to %%configure

* Thu Sep 09 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.2-1
- new upstream release.

* Mon Sep 06 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.1-1
- new upstream release.

* Thu Sep 02 2010 Kouhei Sutou <kou@clear-code.com> - 1.0.0-1
- split packages.

* Tue Aug 24 2010 Daiki Ueno <dueno@redhat.com> - 0.7.6-1
- initial packaging for Fedora

## END: Generated by rpmautospec
